dpkg-split(1)

NOM
dpkg-split - outil de décomposition/recomposition pour les paquets Debian

SYNOPSIS
dpkg-split -s|--split archive-complète [préfixe]
dpkg-split -j|--join partie partie ...
dpkg-split -I|--info partie partie ...
dpkg-split -a|--auto -o fichier-complet partie
dpkg-split -l|--listq
dpkg-split -d|--discard [paquet paquet ...]

DESCRIPTION
dpkg-split décompose les fichiers d'un paquet binaire Debian en parties plus petites (et les recompose), pour permettre l'enregistrement des fichiers d'un paquet volumineux sur des média de faible capacité tels que les disquettes. On peut s'en servir « à la main » avec les options --split, --join et --info. Il possède aussi un mode automatique, appelé avec l'option --auto , dans lequel il conserve séparément dans une file les parties connues ou recompose le fichier d'un paquet quand il connaît toutes ses parties. Les options --listq et --discard permettent la gestion de cette file. Toutes les opérations de décomposition, recomposition ou de mise en file produisent des messages sur la sortie standard ; On peut tranquillement les ignorer.

ACTION OPTIONS

--split, -s
    Décompose en plusieurs parties un paquet binaire Debian. Le nom d'une partie est : préfixe.NdeM.deb où N le numéro de partie, commençant à 1, et M est le nombre total de parties (les deux sont des décimaux). Quand on ne donne pas de préfixe, le nom du fichier archive-complète est utilisé, en incluant le répertoire et en supprimant tout .deb restant.

--join, -j
    Rassemble les parties d'un fichier, recomposant ainsi le fichier original tel qu'il était avant la décomposition. Ces parties, données comme arguments, doivent appartenir toutes au même fichier binaire original. Chaque partie ne doit apparaître qu'une seule fois dans la liste des arguments ; mais il est inutile de les ordonner. Les parties doivent bien sûr avoir été créées selon le même modèle (taille maximum des parties), qui est déclaré au moment de la décomposition ; ce qui signifie en fait qu'elles doivent avoir été créées par le même appel à dpkg-split --split. Le nom des parties n'est pas significatif pour le processus de recomposition. Par défaut, le fichier produit s'appelle : paquet-version.deb.

--info, -I
    Affiche les renseignements concernant telle partie dans un format lisible par tous. Les arguments ne représentant pas la partie d'un fichier binaire le disent aussi sur la sortie standard.

--auto, -a
    Met en file automatiquement les parties en vue de la recomposition d'un paquet. La partie déclarée est examinée et comparée avec les autres parties du même paquet qui se trouvent (si elles existent) dans la file. Quand toutes les parties d'un fichier (auquel appartient la partie part) sont présentes, le fichier est recomposé et créé en tant que fichier-complet (ce fichier ne devrait pas déjà exister, mais ce n'est pas une erreur). Quand ce n'est pas le cas, la partie part est mise dans la file et le fichier fichier-complet n'est pas créé. Quand la partie part n'appartient pas à un paquet binaire décomposé, dpkg-split se termine avec un code de sortie égal à 1 ; s'il y a une autre erreur, c'est un code de sortie égal à 2. L'option --output ou -o doit être fournie avec l'action --auto. Si cela n'était pas obligatoire, le programme appelant ne saurait pas quel fichier attendre.

--listq, -l
    Liste le contenu d'une file de paquets à recomposer. Pour chaque fichier possédant des parties dans la file, cette action donne le nom du fichier, les parties présentes dans la file et le nombre total d'octets conservés.

--discard, -d
    Cette action laisse de côté certaines parties dans la file, celles qui sont en attente des autres parties composant le paquet. Quand aucun paquet n'est donné, la file est vidée ; si un paquet est donné, seules les parties de ce paquet sont détruites.

--help, -h
    Affiche un message de dpkg-split donnant un résumé de ses options et de leur utilisation.

--version
    Affiche le numéro de version de dpkg-split.

--licence
    Affiche les renseignements sur le copyright et l'absence de garantie. (L'orthographe américaine : --license est acceptée.)

AUTRES OPTIONS

--depotdir répertoire
    Indique un répertoire différent pour la file comprenant les parties en attente d'une recomposition automatique. Par défaut, c'est le répertoire /var/lib/dpkg.

--partsize|-S kbytes
    Indique, en kilooctets (1024 octets), la taille maximum d'une partie lors d'une décomposition. Par défaut, la taille maximum est de 450 ko.

--output|-O fichier-complet
    Indique le nom du fichier à produire pour une recomposition. Cela annule le fichier par défaut lors d'une recomposition « à la main » (--join) et c'est obligatoire pour une recomposition ou une mise en file automatiques (--auto).

--npquiet, -Q
    Pour une recomposition ou une mise en file automatiques, dpkg-split affiche habituellement un message si on lui donne une partie qui n'est pas une partie d'un paquet binaire. Cette option supprime ce message ; cela permet à des programmes comme dpkg de ne pas afficher de faux messages quand il est confronté à des paquets décomposés et des paquets non décomposés.

--msdos
    Oblige le nom des fichiers produits par --split à se conformer à msdos. Cela supprime le préfixe - soit celui par défaut dérivé du fichier d'entrée, soit celui donné comme argument : les caractères alphanumériques sont en minuscules, les signes plus sont remplacés par des x et tous les autres caractères sont abandonnés. le résultat est alors tronqué autant que nécessaire et des fichiers de la forme : prefixNofM.deb sont créés.

CODE DE SORTIE
Un code de sortie égal à 0 signifie que la décomposition demandée, la recomposition ou bien toute autre commande a réussi. Les commandes --info réussissent toujours même si les fichiers ne sont pas des parties d'un paquet binaire. Un code de sortie égal à 1 ne peut apparaître qu'avec l'action --auto et signale que le fichier partie n'est pas une partie d'un paquet binaire. Un code de sortie égal à 2 signale des problèmes, comme l'échec d'un appel système, ou un fichier qui, bien que ressemblant à une partie de fichier, est défectueux, ou bien une erreur d'utilisation, etc.

BOGUES
dpkg-split utilise des conventions plutôt périmées pour les noms des paquets Debian. On ne peut pas obtenir tous les détails voulus sur les paquets présents dans la file à moins d'aller voir soi-même dans le répertoire de la file. On ne peut pas facilement savoir si un fichier est vraiment la partie d'un paquet binaire ou non. L'architecture n'est pas indiquée dans l'en-tête des fichiers ; elle l'est seulement dans les informations de contrôle du paquet binaire ; et elle n'est pas présente dans les fichiers produits.

FICHIERS

/var/lib/dpkg/parts
    Le répertoire par défaut de la file contenant les fichiers qui attendent une recomposition automatique. Les noms de fichiers utilisés dans ce répertoire sont dans un format particulier à dpkg-split et ne sont sans doute pas utiles pour d'autres programmes ; en tous cas on ne peut pas compter sur ce format de nom de fichier.

VOIR AUSSI
deb(5), deb-control(5), dpkg-deb(1), dpkg(8)

AUTEUR
dpkg-split et cette page de manuel ont été écrits par Ian Jackson. Copyright (C) 1995-1996 Ils ont été édités sous la « GNU General Public Licence » ; il n'y a PAS de GARANTIE. Voyez /usr/share/dpkg/copyright et /usr/share/common-licenses/GPL pour des précisions.

TRADUCTION
Philippe Batailler, 2005. Veuillez signaler toute erreur à <debian-l10-french@lists.debian.org>.